\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-7-fruhe-common.ily"

mvtIIpiece = \markup{"II. Schilflied"
                                   \line\smaller\medium{(Nikolaus Lenau)}}

mvtIItimeline = {
    \time 6/8
    \tag KEEPKEYS \key as \major
    \set Timing.beamExceptions = #'( (end . (
        ((1 . 8) . (3 3))
        ((1 . 16) . (6 6))
        ((1 . 32) . (12 12))
    )))
    \set Score.baseMoment = #(ly:make-moment 3/8)
    \set Score.beatStructure = 2,2
    % \override Staff.Hairpin.after-line-breaking = ##t
    
    s2.*29 |
    \barNumberCheck # 30
    \bar "|."
}


mvtIItempi = <<
\mvtIItimeline
{
    \tempo \markup{Mäßig bewegt \medium\smaller\concat{( \quarter " = ca. 108)"}}
    s2.*6 |
    \barNumberCheck # 7
    s4. <> -\tweak bound-details.left.text \markup{rit.} -\tweak bound-details.right.text \markup\column{"A tempo (II) aber etwas langsamer" \line\medium\smaller{\concat{( \eighth} " = " ca. 96)}} \=3\startTextSpan s4. |
    s2. |
    \barNumberCheck # 9
    <>\=3\stopTextSpan s2.*10 |
    \barNumberCheck # 19
    \tempo "tranquillo"
    s2.*6 |
    \barNumberCheck # 25
    s4. \new TimedSpanner \lyricmode { "rit."2. -- "(molto)"4. -- "a tempo (II)"4*0 } |
    \barNumberCheck # 27
    s2.*3 |
    \barNumberCheck # 30
}
>>


mvtIIbreaks = <<
\mvtIItimeline
{
    <>^"Breaks left in"
    \transposition c
    \repeat unfold 4 { s2.\noBreak | } \break
    \repeat unfold 4 { s2.\noBreak | } \break
    \repeat unfold 3 { s2.\noBreak | } \break
    \barNumberCheck # 12
    \repeat unfold 3 { s2.\noBreak | } \break
    \repeat unfold 3 { s2.\noBreak | } \break
    \barNumberCheck # 18
    \repeat unfold 3 { s2.\noBreak | } \break
    \repeat unfold 3 { s2.\noBreak | } \break
    \barNumberCheck # 24
    \repeat unfold 3 { s2.\noBreak | } \break
    \repeat unfold 3 { s2.\noBreak | } \break
    \barNumberCheck # 30
}
>>


mvtIItemplate = <<
\mvtIItimeline
\relative c'' {
    \transposition c
    s2.*29 |
    \barNumberCheck # 30
}
>>


mvtIIflI = <<
\mvtIItimeline
\relative c'' {
    \transposition c
    R2. |
    g2.\p~|
    \at 8 \Hso\< g4. \Fa as8 \Hso\>( \at 8 \! \Fa g4 |
    as8-.) \at 16. \> as4( g8) r\! r |
    \barNumberCheck # 5
    R2.*4 |
    \barNumberCheck # 9
    r4 r8 r des\pp -\tweak minimum-length #6.0 \<( des'<>\! |
    c\>) r\! r r16 g8--\pp -\tweak minimum-length #6.0 \>( g'-- g'16-- |
    ges8) r\! r r4 b,,8\pp-\tweak to-barline ##f -\tweak minimum-length #9.0 \<( |
    \barNumberCheck # 12
    \at 16. \> c8.\! g16 es\noBeam) r\! r4 d'8:32\p -\tweak minimum-length #5.0 \Hso\<(~^\Flatt |
    d: c-\tweak bound-padding #4.0 \Hso\>~ c16) r\! r4 r8 |
    r f,4\mf -\tweak minimum-length #7.0 \<(_"espr."^\markup\center-align\line{(viel Luft!)} \at 8 \> g\! fis8--) <>\! |
    \barNumberCheck # 15
    r8 f4 \Hso\<( -\tweak direction #DOWN -\tweak bound-details.left.text \markup{cresc.} \=3\startTextSpan c'4 \Hso\> bes8) <>\! |
    r ges( \at 16 \=3\stopTextSpan g \at 8. \Hso\> es''4\fp -\tweak minimum-length #8.0 \Hso\< des8) <>\! |
    r des \Hso\<( c bes4 \Hso\> \at 16 \pp as8~ |
    \barNumberCheck # 18
    \once \set baseMoment = #(ly:make-moment 1/4) as16^"non espr." f d\> b \tuplet 3/2 { as? f d } c8\!\noBeam) r r |
    \Fa es4.--\p \acciaccatura e8 e'4.--\pp-\tweak minimum-length #6.0 \> <>\! |
    R2.*3 |
    \barNumberCheck # 23
    \textCresc \markup{\dynamic pp cresc.} e,16\<( gis8.\iportato) gis8( e16 a8.\iportato) a8( |
    \barNumberCheck # 24
    d,16 fis8.\iportato) fis8( d16\dim f8.) f8( |
    c16 e8. f8) f8.\mp d16\<( f bes~ |
    bes\> \at 32. \p as \< c es? as c) \once \set baseMoment = #(ly:make-moment 1/8) des?\pocof( des,?8 des,16 e) r |
    \barNumberCheck # 27
    f2.--\mf~ |
    f4.\>~ \at 16 \! f8 r r |
    R2. |
    \barNumberCheck # 30
}
>>


mvtIIobI = <<
\mvtIItimeline
\relative c'' {
    \transposition c
    R2. |
    r4 r8 c4.\p |
    bes8( c\< cis d4.->\! |
    \at 32*7 \> cis->~ cis16) r\! r8 r |
    \barNumberCheck # 5
    R2.*4 |
    \barNumberCheck # 9
    r4 r8 r es,\pp -\tweak minimum-length #6.0 \<( es'~ <>\! |
    es\>) r\! r r es\pp -\tweak minimum-length #6.0 \>( es' |
    d) r\! r r4 g,,8\pp-\tweak to-barline ##f \<(~ <>\! |
    \barNumberCheck # 12
    \at 16. \> g8. e16) r8\! r4 bes'8\p -\tweak minimum-length #5.0 \<( |
    \at 16. \! as4~ \at 32 \> as16 g-- fis8) r\! r |
    R2.*3 |
    \barNumberCheck # 17
    r4 r8 r c'4\pp-\tweak to-barline ##f \<( |
    \barNumberCheck # 18
    d16\! b \at 32 \> as? f d \at 32 \! b) r4 r8 |
    g'4.--\p \at 8 \< g'--\pp(~ <>\! |
    g4->_"(klagend)" f8) g4->( f8) |
    \barNumberCheck # 21
    \at 8. \> g4->( \TT g8 r4\!) r8 |
    g4.\ppp(~^\markup\right-align{(Echo)} g8 f-\tweak to-barline ##f \< e16 d |
    \at 16 \Hso\< \at 4. \Hso\> cis2.\p) <>\! |
    \barNumberCheck # 24
    R2.*2 |
    r16 es,\p -\tweak minimum-length #5.0 \<( as c es as) ges8\pocof( ges,8) e( |
    \barNumberCheck # 27
    f8) r r r4 r8 |
    R2.*2 |
    \barNumberCheck # 30
}
>>


mvtIIclrI = <<
\transpose bes, c \mvtIItimeline
\relative c'' {
    \transposition bes,
    R2.*6 |
    \barNumberCheck # 7
    r4 r8 r \at 8 \Hso\> bes4\iportato\pp-\tweak minimum-length #6.0 \Hso\< |
    bes8-. \Hso\< \at 16. \Hso\> bes4\iportato \at 8 \! bes4\<( a8\> |
    \barNumberCheck # 9
    bes8) r\! r r16 b,8\pp -\tweak minimum-length #6.0 \<( b'-- b'16-- |
    bes!8\>) r\! r r es,\pp -\tweak minimum-length #6.0 \>( es' |
    e16 c\!) e, \Hso\<( b) e,( bes) d( a8. \Hso\>~ \once \set baseMoment = #(ly:make-moment 1/16) \tuplet 6/4 { \at 64 -\tweak to-barline ##f \< a32[\!) cis( f a cis f] } |
    \barNumberCheck # 12
    fis8.\! d16\> a f e8\!) r a8:32\p -\tweak minimum-length #5.0 \Hso\<(^\Flatt |
    \at 8 \Hso\> f4~ f16) r\! r4 r8 |
    R2.*2 |
    \barNumberCheck # 16
    r4 r8 r16 \once \set baseMoment = #(ly:make-moment 1/8) bes8\p-\tweak to-barline ##t \cresc( es,16 bes8) |
    r16 \once \set baseMoment = #(ly:make-moment 1/8) c'8( fis,16 c8) r16 \once \set baseMoment = #(ly:make-moment 1/8) d'8( g,16 d8) <>\! |
    \barNumberCheck # 18
    \at 16 \> cis4~ cis16 bes? a4.\p(~ |
    a16\< cis--\piup-\tweak minimum-length #8.0 \>~ \at 16 \! cis4) d16\<( a'---\tweak minimum-length #6.0 \>~ \at 8 \> a4\pp) <>\! |
    R2.*3 |
    \barNumberCheck # 23
    ges4\p\cresc( es16 bes) \Fa a'4( dis,16 b) |
    \barNumberCheck # 24
    e4( gis16 bes,) e8.\dim( cis16 e cis) |
    d8.( b16 d g,?) g8\mp-\tweak minimum-length #6.0 -\tweak to-barline ##f \>( c16 e g e) |
    es!16\p -\tweak minimum-length #5.0 \<( \Fa d f bes? d f) c\pocof( c,8.~ c16 a) |
    \barNumberCheck # 27
    bes16( \at 16 \> g8.) r8\! r4 r8 |
    R2.*2 |
    \barNumberCheck # 30
}
>>


mvtIIbclr = <<
\transpose a, bis \mvtIItimeline
\relative c {
    \transposition a,
    \clefBclrBass
    \key c \major
    R2.*6 |
    \barNumberCheck # 7
    r4 r8 b'-.\pp -\tweak minimum-length #6.0 \Hso\< \at 8 \Hso\> b4\iportato |
    cis8-. \Hso\< \at 16. \Hso\> cis4\iportato \at 8 \! \at 4 -\tweak to-barline ##f \> cis4.\<(
    \barNumberCheck # 9
    fis,8) r\! r r4 r8 |
    r b,16\mp -\tweak minimum-length #7.0 \>( dis fis b c8-.\!) c4-.:32-\tweak to-barline ##f \Hso\<(^\Flatt |
    cis!8 \Hso\>) r\! r r4 r8 |
    \barNumberCheck # 12
    \clef "treble_8" r4 r8 r r32 bes,\p-\tweak to-barline ##f \<[( des f] bes des f bes |
    \at 16*0 \Hsl\< \Fa b4~ b16\! bes-- a8.\>) r16\! r8 |
    R2.*2 |
    \clefBclrBass
    r4 r8 r4 b,?16\p\cresc( e,) |
    r4 cis'?16( g) r4 dis'?16( gis,~ |
    \barNumberCheck # 18
    gis4.) g16\(( es\fp~ es8) d16\> \Fa es |
    fes-.\) r\! r8 r r4 r8 |
    R2. |
    \barNumberCheck # 21
    r4 r8 \at 8 \cresc e'4.\pp( |
    dis8.\iportato) dis8\iportato dis16( d8.\iportato) d8\iportato d16( |
    des8. g,8\iportato) g16( c8 bes\iportato) bes( |
    \barNumberCheck # 24
    a16 cis8.\iportato) d8( gis,16\dim b8.\iportato) c8( |
    g16 b8.\iportato) c8( cis16\mp -\tweak minimum-length #7.0 \> eis, gis cis eis gis |
    \at 16 \> fis8\<) r\! r r8. cis,16-^\pocof( dis8 |
    \barNumberCheck # 27
    e8) r r r4 r8 |
    R2.*2 |
    \barNumberCheck # 30
}
>>


mvtIIfgI = <<
\mvtIItimeline
\relative c {
    \transposition c
    \clef bass
    R2.*6 |
    \barNumberCheck # 7
    r4 r8 \at 8. \Hso\> e'4.\pp-\tweak minimum-length #6.0 \Hso\< |
    \at 32*7 \Hso\> f \Hso\< \at 8 \! \at 4 -\tweak to-barline ##f \> des\<( |
    \barNumberCheck # 9
    c8) r\! r r4 r8 |
    R2. |
    r4 r8 r c,16\pp( c, des8\< <>\! |
    \barNumberCheck # 12
    \at 8 \> c4) des16( des' \at 16 \! d8-.) \at 8 \< d4\p( |
    \at 16 \! es8-.) \at 8 \> es4( d8) r\! r |
    R2.*2 |
    \barNumberCheck # 16
    r4 r8 r des?16\p\cresc( f,8.) |
    r8 c'16( g8.) r8 c16( as8. |
    \barNumberCheck # 18
    \at 16 \! \Fa g8) r r \Fa c,\fespr\>( e16 g b c |
    des-.\p -\tweak minimum-length #5.0 \>) es-. f-. g-. a-. b-. \at 16 \! c8-. r r |
    R2.*3 |
    \barNumberCheck # 23
    r16 bes\p\cresc( e, bes~ bes8) r16 \Fa a'( \Fa e a,~ a8) |
    \barNumberCheck # 24
    r16 des,?( bes' d~ d8) r16 g,\dim( d' f~ f8) |
    r16 e,( a es'~ es8 d16\mp) bes( d\> f bes d |
    des!\< c-.->\>) r8\! r r4 r8 |
    \barNumberCheck # 27
    des,4\pocof( c8~ c bes g |
    f4.\>~ \at 16 \! f8) r r |
    R2. |
    \barNumberCheck # 30
}
>>


mvtIIkfg = <<
\mvtIItimeline
\relative c {
    \transposition c
    \clef bass
    R2.*6 |
    \barNumberCheck # 7
    r4 r8 \at 8. \Hso\> des'4.\pp -\tweak minimum-length #6.0 \Hso\< |
    \at 32*7 \Hso\> d \Hso\< es8\< \at 8 \> es,4\!( |
    \barNumberCheck # 9
    as8-.) as,16\mf -\tweak minimum-length #7.0 \<( c es as g8\!) g,4( |
    as\>) r8\! r4 r8 |
    r4 r8 r4 des16\pp -\tweak minimum-length #6.0 \<( des, <>\! |
    \barNumberCheck # 12
    \at 16. \> c8-.) c16( c' des8 \at 16 \! d-.) \at 8 \< d4\p( |
    \at 16 \! as'8-.) \at 8 \> as4( d,8) r\! r |
    R2.*4 |
    \barNumberCheck # 18
    r4 r8 c\fespr -\tweak to-barline ##f \>( e16 g b c |
    \Fa des-.\!) r r8 r r4 r8 |
    R2.*4 |
    \barNumberCheck # 24
    des,8.\mf -\tweak minimum-length #7.0 \<( d\!) g\>( f) |
    e\mp -\tweak minimum-length #7.0 \<( \at 16. \! \at 32*5 \> es d\noBeam) r16\! r8 |
    r4 r8 r4 r16 c-^\pocof( |
    \barNumberCheck # 27
    des4 c8~ c bes g |
    f4.\>~ f8\!) r r |
    R2. |
    \barNumberCheck # 30
}
>>


mvtIIhrnI = <<
\removeWithTag KEEPKEYS \mvtIItimeline
\relative c'' {
    \transposition f,
    \override Script.avoid-slur = #'inside
    \override Script.outside-staff-priority = ##f
    <>^\Offen c8-.\p -\tweak minimum-length #5.0 \>( c4\iportato c8-.\! c4\iportato |
    c8-. c4\iportato c8-. c4\iportato) |
    c8\<( \at 8 \! b4) c8-. \at 16 \< c4\iportato <>\! |
    c8->( \at 16. \> b4~ b16) r\! r8 r |
    \undo \override Script.avoid-slur = #'inside
    \undo \override Script.outside-staff-priority = ##f
    \barNumberCheck # 5
    R2.*4 |
    \barNumberCheck # 9
    r4 r8 r4 <>^\Gest bes8-+\pp -\tweak minimum-length #6.0 \Hso\<~ |
    \at 4 \Hso\> bes4.~ bes8 r\! \hairpinWithCenteredText "poco" bes-+\pp-\tweak minimum-length #6.0 \Hso\<( |
    a4.-+  g8-+ \Hso\> g,-+-.\!) r |
    \barNumberCheck # 12
    r4 r8 r <>^\PGest f'4-+\pp -\tweak minimum-length #6.0 \Hso\<( |
    es4-+ d8-+ cis4.-+ \Hso\>) <>\! |
    \barNumberCheck # 14
    R2.*5 |
    \barNumberCheck # 19
    r4 r8 r16 <>^\markup\halign #1.4 \Offen g'8\iportato\pp^"molto tranquillo" g\iportato g16( |
    as-.) as8\iportato as\iportato as16( a-.) a8\iportato a\iportato a16( |
    \barNumberCheck # 21
    bes16-.) bes8\iportato bes\iportato bes16( c-.) -\tweak direction #DOWN -\tweak bound-details.left.text \markup{poco cresc.} \=3\startTextSpan c8\iportato c\iportato c16-\tweak to-barline ##f \Hso\<(~ |
    \at 32 \Hso\> c \at 32 \! b8\iportato) b\iportato b16 \Hso\<( d es8\! d c16 -\tweak to-barline ##f \> |
    b8\!)\=3\stopTextSpan r r r4 r8 |
    \barNumberCheck # 24
    R2.*3 |
    \barNumberCheck # 27
    <>^\POffen r16 c,8\iportato\mf c\iportato c16--~ c16-. c8\iportato c\iportato c16--~ |
    c16-. c8\iportato\> c\iportato c16--~ \tuplet 3/2 { c8-.[ c16--\p]~ } \at 32 \> c8-. c--~ |
    c16-. r c4--~ \at 16 \! c8-. r r |
    \barNumberCheck # 30
}
>>


mvtIItrp = <<
\removeWithTag KEEPKEYS \mvtIItimeline
\relative c'' {
    \transposition f
    <>^\Dmit
    R2.*8 |
    \barNumberCheck # 9
    r4 r8 r4 <>^\PmD e,8\pp -\tweak minimum-length #6.0 \Hso\<( |
    \at 4 \Hso\> es4. d8) r\! \hairpinWithCenteredText "poco" d\pp -\tweak minimum-length #6.0 \Hso\<( |
    des4 c8 b \Hso\>) r\! r |
    \barNumberCheck # 12
    r4 r8 r <>^\PmD a4:32\pp -\tweak minimum-length #6.0 \Hso\<(~ -\tweak bound-details.left.text \Flatt \=3\startTextSpan |
    a8: \at 8. \=3\stopTextSpan g4:~ g4. \Hso\>) <>\! |
    \barNumberCheck # 14
    R2.*7 |
    \barNumberCheck # 21
    r4 r8 r <>^\PmD d'\p( \at 16 \< es |
    f g gis\! a4\>) r8\! |
    gis\mp( ais\< b \at 8 \> c?4\! b8) <>\! |
    \barNumberCheck # 24
    r b\mf -\tweak minimum-length #7.0 \<( a \at 8 \> gis4\! fis8) <>\! |
    r dis\mp( e\< \at 16 \! g?4 f?8\>~ |
    f) r\! es--\p(~ es des b? |
    \barNumberCheck # 27
    \Fa c) r r r4 r8 |
    R2.*2 |
    \barNumberCheck # 30
}
>>


mvtIItrom = <<
\mvtIItimeline
\relative c {
    \transposition c
    \clef bass
    <>^\Dmit
    R2.*8 |
    \barNumberCheck # 9
    r4 r8 r4 <>^\PmD des'8\pp -\tweak minimum-length #6.0 \Hso\<( |
    \at 4 \Hso\> c4. des8) r\! des8\pp -\tweak minimum-length #6.0 \<( |
    bes \at 8 \> b4:32\!)^\markup\center-align\Flatt r4\! r8 |
    \barNumberCheck # 12
    r4 r8 r <>^\PmD g4:32\pp -\tweak minimum-length #7.0 \Hso\<( -\tweak bound-details.left.text \Flatt \=3\startTextSpan |
    \at 16*5 \=3\stopTextSpan es4.: d \Hso\>) <>\! |
    \barNumberCheck # 14
    R2.*13 |
    \barNumberCheck # 27
    <>^\markup\halign #1.2 \PmD \Fa f'4(_\markup\center-align{\line{poco \dynamic f} espr.} es8~ es des bes |
    \at 16 \> a4.~ \at 16 \! a8) r r |
    R2. |
    \barNumberCheck # 30
}
>>


mvtIIhpRH = <<
\mvtIItimeline
\relative c'' {
    \transposition c
    f,8\p\( f4 f8 f4 |
    f8 f4 f8 f4 |
    \at 16 \> f8( e\)) r\! r4 r8 |
    R2.*3 |
    \barNumberCheck # 7
    r4 r8 r as4 |
    as8 as4 as4( g8) |
    \barNumberCheck # 9
    R2.*10 |
    \barNumberCheck # 19
    r4 r8 c,16 c8 c c16 |
    des16 des8 des des16 d16 d8 d d16 |
    \barNumberCheck # 21
    es16 es8 es es16 f16 f8 f f16~ |
    f e r8 r r4 r8 |
    \barNumberCheck # 23
    R2.*7 |
    \barNumberCheck # 30
}
>>


mvtIIhpDyn = <<
\mvtIItimeline
{
    \override TextScript.font-series = #'regular
    \override TextSpanner.font-series = #'regular
    \override TextScript.font-size = #0.67
    \override TextScript.Y-offset = #-0.67

    s2.*6 |
    \barNumberCheck # 7
    s4. <>\p s4. |
    s4. s8 <>\> s4 <>\! |
    \barNumberCheck # 9
    s2.*4 |
    \barNumberCheck # 13
    s4. <>\f s8 <>\> s4 <>\! |
    s2 <> -\tweak to-barline ##f \< s4 |
    \barNumberCheck # 15
    <>\! s2.*4 |
    \barNumberCheck # 19
    s4. <>\p s |
    s2. |
    s4. s8. <>\> s |
    s16 <>\! s s4 s4. |
    \barNumberCheck # 23
    s2.*4 |
    \barNumberCheck # 27
    s16 <>\f s8. s2 |
    s16 <>\> s16 s4 s16 <>\mf s s8 <>\> s8 |
    s8 <>\p s8 s2 |
    \barNumberCheck # 30
}
>>


mvtIIhpLH = <<
\mvtIItimeline
\relative c {
    \transposition c
    \clef bass
    \dynamicUp
    R2.*6 |
    \barNumberCheck # 7
    r4 r8 as' as4 |
    bes8 bes4 bes4. |
    \barNumberCheck # 9
    R2.*4 |
    \barNumberCheck # 13
    r4 r8 d,,( fis16 a cis d |
    es8) es r d( fis16 a cis d |
    \barNumberCheck # 15
    es?8) es r r4 r8 |
    \barNumberCheck # 16
    R2.*11 |
    \barNumberCheck # 27
    r16 f,8\( f \TT f16 r f8 f \TT f16 |
    r f8 f \TT f16 \tuplet 3/2 { r8 f16 } r8 f |
    r f4\) r4 r8 |
    \barNumberCheck # 30
}
>>


mvtIIgesang = <<
\mvtIItimeline
\relative c'' {
    \transposition c
    \autoBeamOff
    r4 r8 r f,\p f |
    g4\<\( f8\!\) c'4\( g8\) |
    bes4->\>\( g8\!\) r f g |
    as4 as8\( \at 8 -\tweak to-barline ##f \< e'4.~ |
    \barNumberCheck # 5
    e4\! d8 cis\) b\( a |
    b4 c8 f4 bes,8\) |
    bes4\>\( as8\!\) r as\p -\tweak to-barline ##f \>\( c~ |
    c\!\) \breathe bes as \at 8 \> es'4 es8 |
    \barNumberCheck # 9
    es4.\>~ es8\! r r |
    r as,\mp as \at 8 \< g4 g8 |
    ges4 f8 e4->\( es8\) <>\! |
    \barNumberCheck # 12
    \at 8. \Hso\> e'4->\mf-\tweak minimum-length #6.0 \Hso\<\( es8\! d4\) g,8\<\( <>\! |
    d'[( c]) as16[( g]) fis4.\>\) <>\! |
    r8 f\p -\tweak minimum-length #5.0 \<\( f \at 8 \> g4\! fis8\) <>\! |
    \barNumberCheck # 15
    <>-\tweak bound-details.left.text \markup{cresc.} \=3\startTextSpan r \at 16 \< f\( f \at 8 \> c'4\! bes8\) <>\! |
    r b\<\( \at 16 \=3\stopTextSpan \at 16. \! c \at 8 -\tweak to-barline ##f \> es4( des8~ |
    \at 8 \< des4\!) c8\) \at 8 \! bes4\(( as8~ |
    \barNumberCheck # 18
    as4\>) g8\!\) \at 16 \> g4. <>\! |
    r4 r8 r g\pp g |
    g4->\( f8\) g4->\( f8\) |
    \barNumberCheck # 21
    g4->\( f8\) r \at 16 \< g\( as |
    bes[( c]) cis\! \at 8 \> d4 d8 <>\! |
    cis\) dis\<\( \at 16. \! e f?4 e8\) |
    \barNumberCheck # 24
    e4\( d8\) cis4\( b8\) |
    r gis\< a c4\Pmf( bes8~ |
    bes4) as8--~ as ges-- e-- |
    \barNumberCheck # 27
    \at 4 -\tweak to-barline ##f \> f2.~ |
    f8\! r r r4 r8 |
    R2. |
    \barNumberCheck # 30
}
>>

mvtIIlyrics = \lyricmode {
    Auf ge -- hei -- mem Wal -- des -- pfa -- de
    schleich' ich gern im A -- bend -- schein
    an das ö -- de Schilf -- ge -- sta -- de,
    Mäd -- chen, und ge -- den -- ke dein. __

    Wenn sich dann der Busch ver -- dü -- stert,
    rauscht das Rohr ge -- heim -- nis -- voll,
    und es kla -- get und es flüs -- tert,
    daß ich wei -- nen, wei -- nen soll. __

    Und ich mein', ich hö -- re we -- hen
    lei -- se dei -- ner Stim -- me Klang,
    und im Wei -- her un -- ter -- ge -- hen
    dei -- nen lieb -- li -- chen Ge -- sang. __
}


mvtIIvlnI = <<
\mvtIItimeline
\relative c'' {
    \transposition c
    <>^\Dohne
    R2.*3 |
    r4 r8 cis\p -\tweak minimum-length #6.0 \Hso\<( dis e |
    \barNumberCheck # 5
    \at 16 \Hso\> e4 \at 32 \! d8 cis) b -\tweak to-barline ##f \Hso\<( a |
    gis4 \Hso\> a8 \Hso\< c4->\> bes8) |
    bes4->\>\( as8~ as4.\!~ |
    as~ \at 8 \< as4( g8 |
    \barNumberCheck # 9
    as4.\>\)) a,:32\mp-\tweak minimum-length #7.0 \<(^\markup\upright\right-align{am Steg} <>\! |
    \at 4 \> as) r8\! g''4:\p -\tweak minimum-length #5.0 \<( <>\! |
    \at 8 \> ges4) r8\! r e,8:32\pp-\tweak minimum-length #6.0 \Hso\<( es \Hso\>) <>\! |
    \barNumberCheck # 12
    e4:\<( es8\!) \tag SCORE { \once \override DynamicText.X-offset = #-4.0 } d:\Pp( d': d':~ |
    \at 32 \> d: c16\noBeam) r\! r8 r4 r8 |
    c,,\p -\tweak minimum-length #5.0 \<(^\markup\upright\right-align{Griffbrett} c' c'~ \at 8 \> c4.\!) <>\! |
    \barNumberCheck # 15
    c,,8\<( -\tweak direction #DOWN -\tweak bound-details.left.text \markup{cresc.} \=3\startTextSpan c' \at 16 \! c'~ \at 16 \> c c,) \at 16 \! bes(~ |
    \at 16 \< bes^\markup\upright{gewöhnl.} b c\! \at 8. \Hso\> des4. \Hso\<) <>\! |
    \at 8. \Hso\> e \Hso\< \at 8. \! \at 8. \=3\stopTextSpan f4->\Hso \> \Fa e16\f-\tweak to-barline ##f \<( -\tweak direction #DOWN -\tweak bound-details.left.text \markup{espr.} \=3\startTextSpan f |
    \barNumberCheck # 18
    bes8\! as g16 f\>~ f16\=3\stopTextSpan e c\p g e -\tweak to-barline ##f \> c |
    g8\!) r r <>^\Dauf r4 r8 |
    R2. |
    \barNumberCheck # 21
    r4 r8 c''4\p\((_"molto espr." g8) |
    bes4( g8\)) r f\mp -\tweak minimum-length #7.0 \<( g |
    as4. a -\tweak bound-padding #4.0 -\tweak minimum-length #9.0 \>) <>\! |
    \barNumberCheck # 24
    \at 8. \Hso\> bes,,4\mf-\tweak minimum-length #7.5 \Hso\<( b8) \at 8. \Hso\> gis4 \Hso\<( -\tweak direction #DOWN -\tweak bound-details.left.text \markup{dim.} \=3\startTextSpan a8) |
    \at 8. \Hso\> c4. \Hso\<_"non espr." bes?4--\Hso\> r8\!\=3\stopTextSpan |
    r16^\markup\upright\center-align{(Griffbrett)} <>^\PZ as'?\p -\tweak minimum-length #5.0 \< c es as? c\! des8 \Fa des,\> e, <>\! |
    \barNumberCheck # 27
    R2. |
    r4 r8 <>^\AC a,4.~_\markup{\dynamic p non vibr.} |
    a\>~ \at 16 \! a8 r r |
    \barNumberCheck # 30
}
>>


mvtIIvlnII = <<
\mvtIItimeline
\relative c'' {
    \transposition c
    <>^\Dohne
    R2.*3 |
    r4 r8 g4.\p-\tweak to-barline ##f -\tweak minimum-length #6.0 \Hso\<( |
    \barNumberCheck # 5
    \at 16*5 \! fis4. \Hso\> ) \at 16 -\tweak to-barline ##f \Hso\< f~ |
    f\! f\>( |
    es\!) e-- |
    f-- \at 8 -\tweak to-barline ##f \Hso\< des--( |
    \barNumberCheck # 9
    \at 16*5 \! c \Hso\>) r4 r8 |
    r4 r8 r es'4:32\p -\tweak minimum-length #5.0 \<(^\markup\upright\right-align\line{am Steg} <>\! |
    \at 8 \> d) r8\! r c,:\pp-\tweak minimum-length #7.0 \Hso\<( b \Hso\>) <>\! |
    \barNumberCheck # 12
    c4:\<( b8\!) \tag SCORE { \once \override DynamicText.X-offset = #-4.0 } bes:\Pp( bes': bes': |
    \at 16 \> as8.) r16\! r8 r4 r8 |
    <>^\markup\upright\right-align{Griffbrett} a,,\p -\tweak minimum-length #5.0 \<( a' a' \at 8 \> fis4.\!) <>\! |
    \barNumberCheck # 15
    a,,8\<( -\tweak direction #DOWN -\tweak bound-details.left.text \markup{cresc.} \=3\startTextSpan a' \at 16 \! a' \at 16. \> f f,?4) <>\! |
    ges4\<(^\markup\upright{gewöhnl.} g8\! \at 8. \Hso\> as4. \Hso\<) |
    \at 8. \Hso\> bes4. \Hso\< \at 8. \! \at 8. \=3\stopTextSpan c4->\Hso\> r8 |
    \barNumberCheck # 18
    <>^\Dauf
    R2. |
    r4 r8 r16 <>^\PmD d,16:32\p -\tweak minimum-length #5.0 \> e: f: g: a: |
    \at 8. \Hso\> b4.:\pp -\tweak minimum-length #6.5 \Hso\< \at 8. \Hso\> c: \Hso\< |
    \barNumberCheck # 21
    \at 8. \Hso\> c: \Hso\< c4\p\((_\markup\halign #-1.2 {molto espr.} g8) |
    bes4( g8)\) r f\mp -\tweak minimum-length #7.0 \Hso\<( g |
    as4. a -\tweak minimum-length #6.0 \Hso\>) <>\! |
    \barNumberCheck # 24
    \at 8. \Hso\> fis\mf-\tweak minimum-length #6.0 \Hso\<_"non espr." \at 8. \Hso\> f \Hso\< -\tweak direction #DOWN -\tweak bound-details.left.text \markup{dim.} \=3\startTextSpan |
    \at 8. \Hso\> gis,4 \Hso\<( a8) bes--\Hso\> r\!\=3\stopTextSpan r |
    r16^\markup\upright\center-align{(Griffbrett)} <>^\PZ es\p -\tweak minimum-length #5.0 \< as? c es \at 32 \! as? ges8 ges,\> bes, <>\! |
    \barNumberCheck # 27
    R2. |
    r4 r8 <>^\AC a4.~_\markup{\dynamic p non vibr.} |
    a\>~ \at 16 \! a8 r r |
    \barNumberCheck # 30
}
>>


mvtIIvla = <<
\mvtIItimeline
\relative c' {
    \transposition c
    \clef alto
    <>^\Dohne R2.*3 |
    r4 r8 e\p-\tweak to-barline ##f \Hso\<( dis cis |
    \barNumberCheck # 5
    ais \Hso\> \at 8. \! b4) \at 16 \> gis8->( a4) <>\! |
    \at 16 \> b8->( \at 8. \Hso\< c?4) bes8( f4 \Hso\>) |
    as?8\>( \at 8. \! es4) as4.-- |
    \at 2 -\tweak to-barline ##f \Hso\< bes2.-- |
    \barNumberCheck # 9
    es,4.\Hso\> es4.:32\mp -\tweak minimum-length #7.0 \<~^\markup\upright\right-align{am Steg} <>\! |
    \at 8 \> es4 r8\! r \clef treble d''4:32\p -\tweak minimum-length #5.0 \<( <>\! |
    bes8 a\>) r\! r \clef alto \at 16. \Hso\> g,4:32\pp -\tweak minimum-length #8.0 \Hso\< <>\! |
    \barNumberCheck # 12
    g4.:\< g32\!^\markup\upright{gewöhnlich} g g8->\Pmp g'-> \clef treble g'16-> -\tweak to-barline ##f \Hso\<( |
    \once \set baseMoment = #(ly:make-moment 1/8) as16 \Hso\> es \Hso\<) \clef alto as, \Hso\>( es) g, \Hso\<( \Fa es) fis \Hso\>( d) r8 \! r |
    a'16\<\(( f8) f'? \clef treble f'16\!\) fis( d~ d4\>) <>\! |
    \barNumberCheck # 15
    \clef alto
    <> -\tweak direction #DOWN -\tweak bound-details.left.text \markup{cresc.} \=3\startTextSpan a,16\<\(( f8) f'? \clef treble f'16\) f\>( c\!) \clef alto f,\<( c\>) f\<( bes,\>) |
    bes\<( es8--) d-- c16--\! \at 8. \Hso\> des4. \Hso\< |
    \at 8. \Hso\> e \Hso\< \at 8. \=3\stopTextSpan f4->-\tweak minimum-length #5.0 \Hso\> e16\f-\tweak to-barline ##f \<( -\tweak bound-details.left.text \markup{espr.} -\tweak direction #DOWN \=3\startTextSpan f |
    \barNumberCheck # 18
    bes8\! as g16 f\>~ f\=3\stopTextSpan e c\p g e-\tweak to-barline ##f \> c |
    d:32\!) es:\p f: g:\> a: b: c: d: e: f: g: a: |
    \at 8. \Hso\> \Fa as4.:\pp-\tweak minimum-length #7.0 \Hso\< \at 8. \Hso\> g4.: \Hso\< |
    \barNumberCheck # 21
    \at 8. \Hso\> \at 16*5 \! a4.: \Hso\< bes8-. r r |
    \barNumberCheck # 22
    <>^\Dauf
    R2.*2 |
    \barNumberCheck # 24
    r4 r8 r <>^\PmD d,,\mf -\tweak minimum-length #7.0 \Hso\<( -\tweak direction #DOWN -\tweak bound-details.left.text \markup{espr.} \=3\startTextSpan es? |
    \at 8. \Hso\> e4 \at 16 \=3\stopTextSpan f8~ f8.) r16\! r8 |
    r16^\markup\upright\center-align{(Griffbrett)} <>^\PZ c'\p -\tweak minimum-length #5.0 \< es? as c \at 32 \! es bes8 bes,\> \ArpBrack <c, g'>\arpeggio <>\! |
    R2. |
    r4 r8 <>^\AC \ArpBrack <c a'>4.\arpeggio~_\markup{\dynamic p non vibr.} |
    q\>~ \at 16 \! q8 r r |
    \barNumberCheck # 30
}
>>


mvtIIvc = <<
\mvtIItimeline
\relative c {
    \transposition c
    \clef bass
    <>^\Dohne r4 r8 e'4.--\p |
    es!-- des-- |
    c( b8-.) b4( |
    bes!8-.) bes4( a8-.) a4-\tweak to-barline ##f \<( |
    \barNumberCheck # 5
    d,2.\!) |
    \at 8 \Hso\< es4.( d -\tweak minimum-length #6.0 \Hso\>) <>\! |
    c-- des-- |
    d-- \at 8 -\tweak to-barline ##f \Hso\< es--( |
    \barNumberCheck # 9
    as, \Hso\>) des4.:32\mp -\tweak minimum-length #7.0 \<^\markup\upright\right-align{am Steg} <>\! |
    c8-. <>^\PZ as16\mf c es\> as beses8 \at 8 \! beses4 |
    bes!8\< b4\! c8\p c,16\< c, des8 <>\! |
    \barNumberCheck # 12
    \at 8 \> c4 des16 des' d8\! d4-\tweak to-barline ##f \< |
    es8\! es4 <>^\AC^\markup\upright{gewöhnl.} d,8\mf-\tweak minimum-length #6.0 -\tweak to-barline ##f \>(_"espr." fis16 a cis d |
    \Fa es8-.\!) es4-- d8\<( fis16 a cis d <>\! |
    \barNumberCheck # 15
    es?8-.) es4-- d8( -\tweak direction #DOWN -\tweak bound-details.left.text \markup{cresc.} -\tweak to-barline ##t \=3\startTextSpan d,4\portato) |
    es4\<( e8\! \at 8. \Hso\> f4. \Hso\<) |
    \at 8. \Hso\> g \Hso\< \at 4 -\tweak to-barline ##f \< as->\Hso\> <>\=3\stopTextSpan |
    \barNumberCheck # 18
    es8\!( g,4\>~ <c, g'>8-.\!)  <>^\Dauf r r |
    \barNumberCheck # 19
    R2.*4 |
    \barNumberCheck # 23
    r4 r8 r <>^\PmD \clef tenor g'''8\f -\tweak minimum-length #5.0 \Hso\<(_"espr." a |
    \barNumberCheck # 24
    \at 8 \Hso\> bes4 b8) \at 8. -\tweak minimum-length #6.0 \Hso\> gis4\mf-\tweak minimum-length #6.0 \Hso\<( -\tweak direction #DOWN -\tweak bound-details.left.text \markup{dim.} \=3\startTextSpan \at 16 \mp a8) |
    \clef bass
    e4 \Hso\<( f8 \Hso\>~ \at 8. \p \at 16*5 -\tweak to-barline ##f \< f4. |
    \at 16 \=3\stopTextSpan \TT es8--\> r\!) r r4 r8 |
    \barNumberCheck # 27
    <>^\markup\upright\center-align{(Griffbrett)}^\PZ des,4\mf c8 r \at 16 \> bes g |
    des r\! r <>^\AC  \ArpBrack <f c'>4.\arpeggio~_\markup{\dynamic p non vibr.} |
    q\>~ \at 16 \! q8 r r |
    \barNumberCheck # 30
}
>>


mvtIIcb = <<
\mvtIItimeline
\relative c {
    \transposition c
    \clef bass
    R2.*7 |
    \barNumberCheck # 8
    r4 r8 r <>^\markup\halign #1.6 \PoD^\PZ es4\p |
    \barNumberCheck # 9
    r8 as,16\mf c es as \at 16 \> g8 g,4 <>\! |
    as8 r r r4 r8 |
    r4 r8 r4 des16\p -\tweak minimum-length #5.0 \< des, <>\! |
    \barNumberCheck # 12
    c8 c16\> c' des8 d\! d4-\tweak to-barline ##f \< |
    as'8\! as4 <>^\markup\right-align{(sempre \concat{\PZ )}} d,4. |
    r4 r8 d'4. |
    \barNumberCheck # 15
    R2.*3 |
    \barNumberCheck # 18
    r8 <>^\PPZ g,\f -\tweak minimum-length #5.0 \> g, c,\p  <>^\Dauf r r |
    \barNumberCheck # 19
    R2.*6 |
    \barNumberCheck # 25
    r8 <>^\markup\halign #1.4 \PmD^\PPZ a''4\p d,8 r r |
    R2. |
    \barNumberCheck # 27
    <>^\markup\upright\center-align{(Griffbrett)}^\PZ des4\mf c8 r \at 16 \> bes g |
    des r\! r <>^\AC f'4.~_\markup{\dynamic p non vibr.} |
    f\>~ \at 16 \! f8 r r |
    \barNumberCheck # 30
}
>>


\addQuote mvtIIobI      { \mvtIIobI }

\addQuote mvtIIhrnI     { \mvtIIhrnI }

\addQuote mvtIIvlnI       { \mvtIIvlnI }
\addQuote mvtIIvc       { \mvtIIvc }
