\version "2.21.0"

\include "berg-7-fruhe-1.ily"
\include "berg-7-fruhe-2.ily"
\include "berg-7-fruhe-3.ily"
\include "berg-7-fruhe-4.ily"
\include "berg-7-fruhe-5.ily"
\include "berg-7-fruhe-6.ily"
\include "berg-7-fruhe-7.ily"

\include "berg-7-fruhe-paged-title.ily"


\header {
    instrument = "1. Klarinette (B)"
}

\paper {
    ragged-right = ##f
    page-count = #6
    % ragged-last-bottom = ##f
}


breaksI = <<
\mvtItimeline
{
    \autoPageBreaksOff
    s1*33 |
    \barNumberCheck # 34
    \noBreak
    s1*5 |
    \barNumberCheck # 39
}
>>

cuesI = <<
\mvtItimeline
{
    \transposition bes,
    <>^"1.2.Fagott"
    #(ly:expect-warning "unterminated decrescendo")
    \ottava -1 <<
        {
            \once \override Rest.Y-offset = #3
            \voiceOne s2 \oneVoice
        }
        \new Voice { \teeny \voiceOne \quoteDuring mvtIfgI { s2 } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtIfgII { s2 } }
    >> \ottava 0 s2 |
    s1*22 |
    \barNumberCheck # 24
    <>^\markup\halign #1.3 {I.Geigen}
    \cueDuring mvtIvlnI #UP { s1*2 | }
    s1*13 |
    \barNumberCheck # 39
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIclrI
            \cuesI
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
    \layout {
    }
}


breaksII = <<
\mvtIItimeline
{
    s2.*9 |
    \barNumberCheck # 10
    \noBreak
    s2.*20 |
    \barNumberCheck # 30
}
>>

cuesII = <<
\mvtIItimeline
{
    \transposition bes,
    #(ly:expect-warning "unterminated slur")
    <>^\markup\halign #1.2 {1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2.*3 | }
    \barNumberCheck # 4
    \at 4. ^\markup\halign #1.3 {I.Geigen} \cueDuring mvtIIvlnI $UP { s4. s4. | s2.*2 | }
    s2.*23 |
    \barNumberCheck # 30
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIIclrI
            \cuesII
        >>
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
    \layout {
    }
}


\markup\Tacet{\mvtIIIpiece}


\score {
    \removeWithTag NOPAGEBREAKATEND \mvtIVtacetCues
    \header {
        piece = \markup\TacetPiece{\mvtIVpiece}
        breakbefore = ##t
    }
}


breaksV = <<
\mvtVtimeline
{
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

cuesV = <<
\mvtVtimeline
{
    \transposition bes,
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    \at 4. <>^\markup\halign #1.3 {1.Horn}
    \cueDuring mvtVhrnI #UP { s2.*2 | s4 } s2 |
    \barNumberCheck # 14
    s2.*9 |
    \barNumberCheck # 23
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVtempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \stretchHorizontalSpacing #1.0
            \mvtVclrI
            \cuesV
        >>
    >>

    \header {
        piece = \mvtVpiece
    }
    \layout {
    }
}


breaksVI = <<
\mvtVItimeline
{
    s2.*24 |
    \barNumberCheck # 25
}
>>

cuesVI = <<
\mvtVItimeline
{
    \transposition bes,
    s2.*24 |
    \barNumberCheck # 25
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVIclrI
            \cuesVI
        >>
    >>

    \header {
        piece = \mvtVIpiece
    }
    \layout {
    }
}


breaksVII = <<
\mvtVIItimeline
{
    \barNumberCheck # 2
    s2. |
    s1*20 |
    \barNumberCheck # 22
    \pageTurn
    s1*5 |
    \barNumberCheck # 27
    \repeat unfold 2 { \noBreak s1 | }
    s1*11 |
    \barNumberCheck # 40
}
>>

cuesVII = <<
\mvtVIItimeline
{
    \transposition bes,
    \barNumberCheck # 2
    #(ly:expect-warning-times 2 "unterminated slur")
    #(ly:expect-warning-times 2 "unterminated crescendo")
    #(ly:expect-warning "too many colliding rests")
    <>^\markup\halign #0.6 \line{Violoncelli (get.)}
    \ottava #-1
    <<
        { \voiceThree s2. | s1 \oneVoice | }
        \new Voice { s2 \teeny \voiceOne \dynamicUp \quoteDuring mvtVIIvc { s4 | s1 | } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtVIIvchII { s2. | s1 | } }
    >> |
    \ottava #0
    \barNumberCheck # 3
    s1*19 |
    \barNumberCheck # 22
    <>^\markup\halign #1.3 {1.Sologeige}
    \cueDuring mvtVIIvlnIsoloI #UP { s1*4 | }
    s1*14 |
    \barNumberCheck # 40
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVIIclrI
            \cuesVII
        >>

        \mvtVIIquintenLine
    >>

    \header {
        piece = \mvtVIIpiece
    }
    \layout {
    }
}
