\version "2.21.0"

\include "berg-7-fruhe-1.ily"
\include "berg-7-fruhe-2.ily"
\include "berg-7-fruhe-3.ily"
\include "berg-7-fruhe-4.ily"
\include "berg-7-fruhe-5.ily"
\include "berg-7-fruhe-6.ily"
\include "berg-7-fruhe-7.ily"

\include "berg-7-fruhe-paged-title.ily"


\header {
    instrument = \markup\column{"2. Flöte" "kleine Flöte"}
}

\paper {
    ragged-right = ##f
    page-count = #5
    % ragged-last-bottom = ##f
    % page-count = #5
}

\paper {
    indent = #16
}


breaksI = <<
\mvtItimeline
{
    % \autoPageBreaksOff  % yuck
    s1*38 |
    \barNumberCheck # 39
    % \noPageBreak
}
>>

cuesI = <<
\mvtItimeline
{
    \transposition c
    <>^"1.2.Fagott"
    #(ly:expect-warning "unterminated decrescendo")
    \ottava -2 <<
        { \voiceOne s2 }
        \new Voice { \teeny \voiceOne \quoteDuring mvtIfgI { s2 } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtIfgII { s2 } }
    >> \ottava 0 s4. \oneVoice s8 |
    s1*30 |
    \barNumberCheck # 32
    \at 2. ^\markup\halign #1.4 {1.Flöte}
        \cueDuring mvtIflI #UP { s1 | }
    s1*2 |
    \barNumberCheck # 35
    \at 2. ^\markup\halign #1.4 {1.Flöte}
        \cueDuring mvtIflI #UP { s1 | }
    s1*3 |
    \barNumberCheck # 39
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtItempi
        >>

        \new Staff \with {
            instrumentName = \markup\center-column{"2.Flöte" "(kl.Flöte)"}
        } \context Bottom <<
            {
                \quoteDuring mvtIflIIq { s1*30 | }
                R1*5 |  % Yuck, where is separation contents/presentation?
                \at 8 ^\markup\center-align{(Picc.)}
                    \quoteDuring mvtIpicc { s1*3 | }
            }
            \cuesI
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
    \layout {
    }
}

\markup\Tacet{\mvtIIpiece} % \noPageBreak


\score {
    \removeWithTag NOPAGEBREAKATEND \mvtIIItacetCues
    \header {
        piece = \markup\TacetPiece{\mvtIIIpiece}
    }
    \layout {
        indent = 0
    }
}


breaksIV = <<
\mvtIVtimeline
{
    % \autoPageBreaksOff  % yuck
    s2 |
    s1*3 |
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    s1*9 |
    \barNumberCheck # 32
    % \noPageBreak
}
>>

cuesIV = <<
\mvtIVtimeline
{
    \transposition c
    <>^"II.Geigen"
    \cueDuring mvtIVvlnII #DOWN { s2 | s1*3 | }
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    s1*9 |
    \barNumberCheck # 32
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIVtempi
        >>

        \new Staff \with {
            instrumentName = "2.Flöte"
        } \context Bottom <<
            \mvtIVflII
            \cuesIV
        >>
    >>

    \header {
        piece = \mvtIVpiece
    }
    \layout {
    }
}


breaksV = <<
\mvtVtimeline
{
    % \autoPageBreaksOff  % yuck
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

cuesV = <<
\mvtVtimeline
{
    \transposition c
    #(ly:expect-warning "unterminated slur")
    <>^\markup\halign #1.2 {1.Klarinette}
    \cueDuring mvtVclrI #UP { s4. | }
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVtempi
        >>

        \new Staff \with {
            instrumentName = "2.Flöte"
        } \context Bottom <<
            \mvtVflII
            \cuesV
        >>
    >>

    \header {
        piece = \mvtVpiece
        breakbefore = ##t
    }
    \layout {
    }
}


\score {
    \removeWithTag NOPAGEBREAKATEND \mvtVItacetCues
    \header {
        piece = \markup\TacetPiece{\mvtVIpiece}
        % breakbefore = ##t
    }
    \layout {
        indent = #0
    }
}


breaksVII = <<
\mvtVIItimeline
{
    \barNumberCheck # 2
    s2. |
    s1*17 |
    \barNumberCheck # 19
    \noBreak
    s1*8 |
    \barNumberCheck # 27
    \repeat unfold 2 { \noBreak s1 | }
    s1*11 |
    \barNumberCheck # 40
}
>>

cuesVII = <<
\mvtVIItimeline
{
    \transposition c
    \barNumberCheck # 2
    #(ly:expect-warning-times 2 "unterminated slur")
    #(ly:expect-warning-times 2 "unterminated crescendo")
    #(ly:expect-warning "too many colliding rests")
    <>^"Violoncelli (get.)"
    \ottava #-1
    <<
        { \voiceThree s2. | s1 \oneVoice | }
        \new Voice { s2 \teeny \voiceOne \dynamicUp \quoteDuring mvtVIIvc { s4 | s1 | } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtVIIvchII { s2. | s1 | } }
    >> |
    \ottava #0
    \barNumberCheck # 3
    s1*19 |
    \barNumberCheck # 22
    <>^"1.Sologeige"
    \cueDuring mvtVIIvlnIsoloI #UP { s1*4 | }
    s1*3 |
    \barNumberCheck # 29
    <>^"I.Geigen"
    \cueDuring mvtVIIvlnI #UP { s1*5 | }
    \barNumberCheck # 34
    s1*6 |
    \barNumberCheck # 40
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVIItempi
        >>

        \new Staff \with {
            instrumentName = "2.Flöte"
        } \context Bottom <<
            \mvtVIIflII
            \cuesVII
        >>

        \mvtVIIquintenLine
    >>

    \header {
        piece = \mvtVIIpiece
    }
    \layout {
    }
}
