\version "2.21.0"

\include "berg-7-fruhe-1.ily"
\include "berg-7-fruhe-2.ily"
\include "berg-7-fruhe-3.ily"
\include "berg-7-fruhe-4.ily"
\include "berg-7-fruhe-5.ily"
\include "berg-7-fruhe-6.ily"
\include "berg-7-fruhe-7.ily"

\include "berg-7-fruhe-paged-title.ily"


\header {
    instrument = \markup\center-column{"Pauke" "Schlagwerk"}
}

\paper {
    ragged-right = ##f
    page-count = #6
    % ragged-last-bottom = ##f
    system-separator-markup = \slashSeparator
}

\paper {
    indent = #22
    short-indent = #16
}

\markup\vspace #0.5

% Instrumentarium
\markup \abs-fontsize #12 {
\override #'(line-width . 110)
\column {

\fill-line {
    \line\bold\larger\larger{Instrumentarium}
}

\vspace #0.2
\fill-line {
    "Pauke"
}

\vspace #0.2
\fill-line {
    \null
    \column {
        "Becken (freihängend)"
        "1 Paar Becken"
    }
    \column {
        "Triangel"
        "große Trommel"
    }
    \column {
        "kleine Trommel"
        "Tam-Tam"
    }
    \null
}
}
}

\markup\vspace #0.5


breaksI = <<
\mvtItimeline
{
    s1*4 |
    \barNumberCheck # 5
    \break
    s1*16 |
    \barNumberCheck # 21
    \noBreak
    s1*4 |
    \barNumberCheck # 25
    \break
    s1*14 |
    \barNumberCheck # 39
}
>>

cuesI = <<
\mvtItimeline
{
    \transposition c
    <<
        { \voiceOne s1 \oneVoice | }
                \new Voice {
            \voiceOne
            \teeny
            <>^\markup\normalsize\halign #-0.3 \line{1.2.Fagott}
            \quoteDuring mvtIfgI { s2 }
            <>^\markup\normalsize\halign #-0.3 \line{1.2.Klarinette}
            \ottava 1
            \quoteDuring mvtIclrI { s2 }
            \ottava 0
            \oneVoice
        }
        \new Voice {
            \teeny
            \voiceTwo \quoteDuring mvtIfgII { s2 }
            \quoteDuring mvtIclrII { s2 }
        }
    >>
    \barNumberCheck # 2
    <>^\markup\halign #-1.0 {Bassklarinette}
    \cueDuring mvtIbclr #UP { s1*3 | }
    \barNumberCheck # 5
    s1*2 |
    \barNumberCheck # 7
    #(ly:expect-warning "cannot end slur")
    \at 8 ^\markup\halign #1.3 {1.Horn}
    \cueDuring mvtIhrnI #UP { s8 \ottava #1 s2.. | s1*4 | \ottava #0 }
    \barNumberCheck # 12
    s1*5 |
    \barNumberCheck # 17
    \at 2 ^\markup\halign #1.3 {1.Posaune}
    \cueDuring mvtIposI #UP { s1*5 | }
    \barNumberCheck # 22
    s1*1 |
    <>^\markup\halign #1.3 {1.Horn}
    \cueDuring mvtIhrnI #UP { \ottava #1 s1*2 | \ottava #0 }
    s1*1 |
    \barNumberCheck # 26
    \at 2 ^\markup\halign #-0.8 {1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2 \ottava #2 s2 | s1 | }
    \cueDuring mvtIclrI #UP { s1*2 | s2.. }
    \cueDuring mvtIclrI #DOWN { s8 | s1 | \ottava #0 }
    \barNumberCheck # 32
    s1*4 |
    \barNumberCheck # 36
    \at 8 ^\markup\halign #1.3 {1.Fagott}
    \cueDuring mvtIfgI #UP { s1*2 | }
    s1*1 |
    \barNumberCheck # 39
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtItempi
        >>

        \new Staff \with {
            instrumentName = "Pauke"
            shortInstrumentName = "Pauke"
        } \context Bottom <<
            \mvtIpk
            \cuesI
        >>

        \new StaffGroup = mvtIschlagw \with {
        } <<
            \new RhythmicStaff \with {
                instrumentName = "Triangel"
                shortInstrumentName = "Triangel"
                \RemoveEmptyStaves
            } <<
                \mvtItriangel
            >>
            \new RhythmicStaff \with {
                instrumentName = \markup\center-column{"1 paar" "Becken"}
                shortInstrumentName = \markup\center-column{"1 paar" "Becken"}
                \RemoveEmptyStaves
            } <<
                \mvtIbecken
            >>
            \new RhythmicStaff \with {
                instrumentName = "Tam-Tam"
                shortInstrumentName = "Tam-Tam"
                \RemoveEmptyStaves
            } <<
                \mvtItamtam
            >>
            \new RhythmicStaff \with {
                instrumentName = \markup\center-column{"Große" "Trommel"}
                shortInstrumentName = "Gr.Trom."
                \RemoveEmptyStaves
            } \context Bottom <<
                \mvtIgrTrom
            >>
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
    \layout {
    }
}


breaksII = <<
\mvtIItimeline
{
    s2.*29 |
    \barNumberCheck # 30
}
>>

cuesII = <<
\mvtIItimeline
{
    \transposition c
    R2.*29 |
    \barNumberCheck # 30
}
>>

\markup\Tacet{\mvtIIpiece}

%{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtII.INSTR
            \cuesII
        >>
    >>

    \header {
        piece = \mvtIIpiece
    }
    \layout {
    }
}
%}


breaksIII = <<
\mvtIIItimeline
{
    s2.*25 |
    \barNumberCheck # 26
    s1 |
    \barNumberCheck # 27
    s2.*18 |
    \barNumberCheck # 45
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \transposition c
    R2.*25 |
    \barNumberCheck # 26
    R1 |
    \barNumberCheck # 27
    R2.*18 |
    \barNumberCheck # 45
}
>>

% \markup\Tacet{\mvtIIIpiece}
\score {
    \removeWithTag NOPAGEBREAKATEND \mvtIIItacetCues
    \header {
        piece = \markup\TacetPiece{\mvtIIIpiece}
    }
    \layout {
        indent = 0
        short-indent = 0
    }
}

%{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIII.INSTR
            \cuesIII
        >>
    >>

    \header {
        piece = \mvtIIIpiece
    }
    \layout {
    }
}
%}


breaksIV = <<
\mvtIVtimeline
{
    s2 |
    s1*3 |
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    s1*9 |
    \barNumberCheck # 32
}
>>

cuesIV = <<
\mvtIVtimeline
{
    \transposition c
    \at 8 ^\markup\halign #-0.3 {II.Geigen}
    \cueDuring mvtIVvlnII #DOWN { s2 | s1*3 | }
    \barNumberCheck # 5
    % \time 3/4
    R2. |
    #(ly:expect-warning "unterminated slur")
    <>^\markup\halign #1.1 {1.Flöte}
    \cueDuring mvtIVflI #UP { s2.*3 | }
    \barNumberCheck # 9
    % \time 4/4
    R1*6 |
    \barNumberCheck # 15
    % \time 2/4
    R2 |
    \barNumberCheck # 16
    % \time 4/4
    R1*3 |
    \barNumberCheck # 19
    % \time 3/4
    #(ly:expect-warning "unterminated slur")
    \at 2 ^\markup\halign #1.1 {1.Flöte}
    \cueDuring mvtIVflI #UP { s2.*4 | }
    \barNumberCheck # 23
    % \time 4/4
    R1*9 |
    \barNumberCheck # 32
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIVtempi
        >>

        \new Staff \with {
            \staffSize #-1.5
            % \RemoveAllEmptyStaves
        } <<
            \cuesIV
        >>

        \new RhythmicStaff = mvtIVbecken \with {
            instrumentName = \markup\center-column{"Becken" "(freihängend)"}
            shortInstrumentName = "Beck."
        } \context Bottom <<
            \mvtIVbecken
        >>
    >>

    \header {
        piece = \mvtIVpiece
        breakbefore = ##t
    }
    \layout {
    }
}


breaksV = <<
\mvtVtimeline
{
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

cuesV = <<
\mvtVtimeline
{
    \transposition c
    <>^\markup\halign #1.1 {1.Klarinette}
    \cueDuring mvtVclrI #UP { s4. | s2.*4 | }
    \barNumberCheck # 6
    % \time 2/4
    R2*5 |
    \barNumberCheck # 11
    % \time 3/4
    R2.*4 |
    \barNumberCheck # 15
    #(ly:expect-warning "unterminated slur")
    <>^\markup\halign #0.5 {1.Klarinette}
    \cueDuring mvtVclrI #UP { s2.*3 | }
    R2.*5 |
    \barNumberCheck # 23
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVtempi
        >>

        \new Staff \with {
            \staffSize #-1.5
            % \RemoveAllEmptyStaves
        } <<
            \cuesV
        >>

        \new RhythmicStaff = mvtVbecken \with {
            instrumentName = \markup\center-column{"Becken" "(freihängend)"}
            shortInstrumentName = "Beck."
        } <<
            \mvtVbecken
        >>
    >>

    \header {
        piece = \mvtVpiece
    }
    \layout {
    }
}


breaksVI = <<
\mvtVItimeline
{
    s2.*24 |
    \barNumberCheck # 25
}
>>

cuesVI = <<
\mvtVItimeline
{
    \transposition c
    \at 8 ^\markup\halign #0.5 {1.Klarinette}
    \cueDuring mvtVIclrI #UP { s2.*4 | }
    \barNumberCheck # 5
    \at 8 ^\markup\halign #1.1 {I.Geigen}
    \cueDuring mvtVIvlnI #UP { s2.*2 | }
    \barNumberCheck # 7
    R2.*10 |
    \barNumberCheck # 17
    \at 8 ^\markup\halign #0.8 {I.Geigen}
    \cueDuring mvtVIvlnI #UP { s2.*4 | }
    \barNumberCheck # 21
    R2.*4 |
    \barNumberCheck # 25
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVItempi
        >>

        \new Staff \with {
            \staffSize #-1.5
            % \RemoveAllEmptyStaves
        } <<
            \cuesVI
        >>

        \new RhythmicStaff \with {
            instrumentName = \markup\center-column{"Kleine" "Trommel"}
            shortInstrumentName = "Kl.Tr."
        } <<
            \mvtVIklTrom
        >>
    >>

    \header {
        piece = \mvtVIpiece
    }
    \layout {
    }
}


breaksVII = <<
\mvtVIItimeline
{
    \barNumberCheck # 2
    s2. |
    s1*38 |
    \barNumberCheck # 40
}
>>

cuesVII = <<
\mvtVIItimeline
{
    \transposition c
    \barNumberCheck # 2
    \clef bass
    #(ly:expect-warning-times 2 "unterminated slur")
    #(ly:expect-warning-times 2 "unterminated crescendo")
    #(ly:expect-warning "too many colliding rests")
    \override MultiMeasureRest.staff-position = #10
    <>^\markup\halign #0.0 {Violoncelli (get.)}
    <<
        { \voiceThree s2. | s1*2 \oneVoice | }
        \new Voice { s2 \teeny \voiceOne \dynamicUp \quoteDuring mvtVIIvc { s4 | s1*2 | } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtVIIvchII { s2. | s1*2 | } }
    >> |
    \revert MultiMeasureRest.staff-position
    \barNumberCheck # 4
    R1*2 |
    \clef treble
    \at 4. ^\markup\halign #1.5 {1.Oboe}
    \cueDuring mvtVIIobI #UP { s1*4 | }
    \barNumberCheck # 10
    #(ly:expect-warning "unterminated slur")
    \at 4 ^\markup\halign #0.0 {Trompete}
    \cueDuring mvtVIItrp #UP { s1 | }
    \barNumberCheck # 11
    R1*7 |
    \barNumberCheck # 18
    <>^\markup\halign #1.3 {I.Geigen}
    \cueDuring mvtVIIvlnI #UP { s1*2 | s4. } s8 s2 |
    \barNumberCheck # 21
    R1*1 |
    \barNumberCheck # 22
    \at 4 ^\markup\halign #0.0 {Trompete}
    \cueDuring mvtVIItrp #UP { s1*3 | }
    \barNumberCheck # 25
    R1*6 |
    \barNumberCheck # 31
    <>^\markup\halign #1.3 {I.Geigen}
    \cueDuring mvtVIIvlnI #UP { s1*4 | }
    \barNumberCheck # 35
    R1*5 |
    \barNumberCheck # 40
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVIItempi
        >>

        \new Staff \with {
            \staffSize #-1.5
            % \RemoveAllEmptyStaves
        } <<
            \cuesVII
        >>

        \new StaffGroup <<
            \new RhythmicStaff = mvtVIItriangel \with {
                instrumentName = "Triangel"
                shortInstrumentName = "Trngl."
                \RemoveEmptyStaves
            } <<
                \mvtVIItriangel
            >>
            \new RhythmicStaff = mvtVIIbecken \with {
                instrumentName = "Becken"
                shortInstrumentName = \markup\center-column{"Becken"}
                \RemoveEmptyStaves
            } <<
                \mvtVIIbecken
            >>
            \new RhythmicStaff = mvtVIItamtam \with {
                instrumentName = \markup\center-column{"Tam-Tam"}
                shortInstrumentName = \markup\center-column{"Tam-Tam"}
                \RemoveEmptyStaves
            } <<
                \mvtVIItamtam
            >>
            \new RhythmicStaff = mvtVIIklTrom \with {
                instrumentName = \markup\center-column{"Kleine" "Trommel"}
                shortInstrumentName = "Kl.Tr."
                \RemoveEmptyStaves
            } <<
                \mvtVIIklTrom
            >>
        >>
    >>

    \header {
        piece = \mvtVIIpiece
        breakbefore = ##t
    }
    \layout {
    }
}
