\version "2.20.0"

\include "include-once.ily"
\includeOnce "berg-7-fruhe-score-common.ily"

\includeOnce "berg-7-fruhe-6.ily"


mvtVIfgAll = <<
\mvtVItimeline
{
    \transposition c
    \clef bass
    \PMPChords #'( "mvtVIfgI" "mvtVIfgII" ) { s2.*6 | }
    \barNumberCheck # 7
    \PMPApart #'( "mvtVIfgI" "mvtVIfgII" ) { s4. <>\! }
    \PMPChords #'( "mvtVIfgI" "mvtVIfgII" ) { s4. | s2.*17 | }
}
>>


mvtVIhrnDivisi = <<
\mvtVItimeline
\relative c'' {
    \transposition c
    \targetstaff mvtVIhrnIItoIV
    s2.*20 |
    \barNumberCheck # 21
    \targetstaff mvtVIhrnII
    s2.*4 |
    \barNumberCheck # 25
}
>>


mvtVIhrnIItoIV = <<
\removeWithTag KEEPKEYS \mvtVItimeline
{
    \transposition f,
    \PMPChords #'( "mvtVIhrnII" "mvtVIhrnIII" "mvtVIhrnIV" ) { s2.*20 | }
    \PMPApart #'( "mvtVIhrnII" ( "mvtVIhrnIII" "mvtVIhrnIV" ) ) { s2.*4 | }
}
>>

mvtVIhrnIIIeIV = <<
\removeWithTag KEEPKEYS \mvtVItimeline
{
    \transposition f,
    \PMPChords #'( "mvtVIhrnIIIq" "mvtVIhrnIV" ) { s2.*24 | }
}
>>


\tocItem \markup{\mvtVIpiece}

\score {
    \keepWithTag #'( SCORE KEEPQUOTED KEEPKEYS ) <<
        % \new Dynamics \breaksVI
        % \new Dynamics \mvtVIbreaks

        \new MarkLine \with {
            \accepts TimedSpanner
        } \mvtVItempi

        \new StaffGroup = "woods" \with {
        } <<
            \new GrandStaff = clarinets \with {
                instrumentName = "Klarinetten"
                shortInstrumentName = "Kl."
            } <<
                \new Staff = clrI \with {
                    instrumentName = \markup\center-column{"1." "in B"}
                    shortInstrumentName = \markup\center-column{"1." "(B)"}
                } <<
                    \mvtVIclrI
                >>
                \new Staff = clrII \with {
                    instrumentName = \markup\center-column{"2." "in B"}
                    shortInstrumentName = \markup\center-column{"2." "(B)"}
                } <<
                    \mvtVIclrII
                >>
                \new Staff = bclr \with {
                    instrumentName = \markup\center-column{"Bassklarinette" "in A"}
                    shortInstrumentName = \markup\center-column{"Bkl." "(A)"}
                } <<
                    { \clefBclrBass \mvtVIbclr }
                >>
            >>
            \new GrandStaff = bassoons \with {
                instrumentName = "Fagotte"
                shortInstrumentName = "Fg."
            } <<
                \new Staff = fgI \with {
                    instrumentName = "1.2."
                    shortInstrumentName = "1.2."
                } <<
                    \mvtVIfgAll
                >>
%                \new Staff = fgI \with {
%                    instrumentName = "1."
%                    shortInstrumentName = "1."
%                } <<
%                    \mvtVIfgI
%                >>
%                \new Staff = fgII \with {
%                    instrumentName = "2."
%                    shortInstrumentName = "2."
%                } <<
%                    \mvtVIfgII
%                >>
                \new Staff = kfg \with {
                    instrumentName = "Kontrafagott"
                    shortInstrumentName = "Kfg."
                } <<
                    \mvtVIkfg
                >>
            >>
        >>

        \new StaffGroup = "brass" <<
            % If the spacing in the last page is deemed too crowded, we
            % could allocate the horns as 1+2, 3+4 to save a staff
            \new GrandStaff = "hrn" \with {
                instrumentName = \markup\center-column{"4 Hörner" "in F"}
                shortInstrumentName = \markup\center-column{"Hrn." "(F)"}
                \consists Keep_alive_together_engraver
            } <<
                \new Staff = mvtVIhrnI \with {
                    instrumentName = "1."
                    shortInstrumentName = "1."
                    \override VerticalAxisGroup.remove-layer = ##f
                } <<
                    \mvtVIhrnI
                    % \mvtVIhrnDivisi
                >>
                \new Staff = mvtVIhrnIItoIV \with {
                    instrumentName = "2.-4."
                    shortInstrumentName = "2.-4."
                    \override VerticalAxisGroup.remove-layer = #40
                } <<
                    \mvtVIhrnIItoIV
                    \mvtVIhrnDivisi
                >>
                \new Staff = mvtVIhrnII \with {
                    instrumentName = "2."
                    shortInstrumentName = "2."
                    \RemoveAllEmptyStaves
                    \override VerticalAxisGroup.remove-layer = #20
                } <<
                    \mvtVIhrnII
                    \mvtVIhrnDivisi
                >>
                \new Staff = mvtVIhrnIIIeIV \with {
                    instrumentName = "3.4."
                    shortInstrumentName = "3.4."
                    \RemoveAllEmptyStaves
                    \override VerticalAxisGroup.remove-layer = #20
                } <<
                    \mvtVIhrnIIIeIV
                    \mvtVIhrnDivisi
                >>
            >>
            \new Staff = trp \with {
                instrumentName = \markup\center-column{"Trompete" "in F"}
                shortInstrumentName = \markup\center-column{"Trp." "(F)"}
            } <<
                \mvtVItrp
            >>
        >>

        \new RhythmicStaff \with {
            instrumentName = "Kleine Trommel"
            shortInstrumentName = "Kl.Tr."
        } <<
            \mvtVIklTrom
        >>

        \new PianoStaff = hp \with {
            instrumentName = "Harfe"
            shortInstrumentName = "Hf."
            \override StaffGrouper.staffgroup-staff-spacing.stretchability = #75
        } <<
            \new Staff = up \with {
            } <<
                \mvtVIhpRH
            >>
            \new Dynamics {
                \mvtVIhpDyn
            }
            \new Staff = down \with {
            } <<
                \mvtVIhpLH
            >>
        >>

        \new Staff = gesang \with {
            instrumentName = "Gesang"
            shortInstrumentName = "Ges."
            \override VerticalAxisGroup.remove-empty = ##f
            \override VerticalAxisGroup.staff-staff-spacing.stretchability = #80
        } <<
            \new Voice = mvtVIgesang { \dynamicUp \mvtVIgesang }
            \new Lyrics \lyricsto mvtVIgesang \mvtVIlyrics
        >>

        \new MarkLine \with {
            \accepts TimedSpanner
        } \mvtVItempi

        \new StaffGroup = mvtVIstrings \with {
        } <<
            \new GrandStaff \with {
                instrumentName = "Violine"
                shortInstrumentName = "Vln."
            } <<
                \new Staff = mvtVIvlnI \with {
                    instrumentName = "I"
                    shortInstrumentName = "I"
                } <<
                    \mvtVIvlnI
                >>
                \new Staff = mvtVIvlnII \with {
                    instrumentName = "II"
                    shortInstrumentName = "II"
                } <<
                    \mvtVIvlnII
                >>
            >>
            \new Staff = mvtVIvla \with {
                instrumentName = "Bratsche"
            } <<
                \mvtVIvla
            >>
            \new Staff = mvtVIvc \with {
                instrumentName = "Violoncello"
                shortInstrumentName = "Vlc."
            } <<
                \mvtVIvc
            >>
            \new Staff = mvtVIcb \with {
                instrumentName = "Kontrabass"
                shortInstrumentName = "Kb."
            } <<
                \mvtVIcb
            >>
        >>
    >>

    \header {
        piece = \mvtVIpiece
    }
    \layout {
        % indent = 24
        short-indent = 12
    }
}
