\version "2.21.0"

% RH = { \change Staff = mvtIhpRH }
% LH = { \change Staff = mvtIhpLH }

\include "include-once.ily"
\includeOnce "common.ily"
\includeOnce "common-defs-wien.ily"

\includeOnce "lilypond-text-spanner-inner-texts/text-spanner-inner-texts.ily"

#(define subTempoSize (if (defined? 'subTempoSize) subTempoSize #{ #1.0 #}))

\paper {
    footnote-separator-markup = \markup{\vspace #1.0 \fill-line{\override #'(span-factor . 1/2) \draw-hline } }
}

\layout {
    \context {
	\Voice
	    subdivideBeams = ##t
            \override Beam.breakable = ##t
            \override Hairpin.after-line-breaking = ##t
    }

    \context {
        \Staff
            % \accidentalStyle dodecaphonic
            % \accidentalStyle dodecaphonic-no-repeat
            % \accidentalStyle dodecaphonic-first
            soloText = \markup\null
            soloIIText = \markup\null
            aDueText = \markup\null
            \override TextScript.baseline-skip = #2.0
    }

    \context {
	\StaffGroup {
	    \override StaffGroup.SystemStartBracket.collapse-height = #5
        }
    }

    \context {
	\GrandStaff {
	    \override PianoStaff.SystemStartBrace.collapse-height = #5
        }
    }

    \context {
        \Score
            \override TimeSignature.style = #'numbered
    }
}

\layout {
    \context {
        \Score
            \remove "Mark_engraver"
            \remove "Metronome_mark_engraver"
            \remove "Staff_collecting_engraver"
            \accepts MarkLine

            \override BarNumber.padding = #3.5

            \override Beam.auto-knee-gap = #15
    }
}
