\version "2.20.0"

% common score definitions
markSize = #3.5
tempoSize = #3.5
subTempoSize = #2.5
clefF = \clef bass
clefG = \clef treble
clefOldHornF = \clef "bass^8"
clefBclrBass = \clef "bass"

\include "include-once.ily"
\includeOnce "common-grand-score.ily"

\includeOnce "berg-7-fruhe-common.ily"


#(set-global-staff-size 15)
% #(set-global-staff-size 14)

% \markup\huge\bold{For proofreading, choose smaller point size}
% #(set-global-staff-size 13)

\paper {
    indent = 24
    short-indent = 15

    scoreTitleMarkup = \markup {
	\column {
	    \on-the-fly #print-all-headers { \bookTitleMarkup \hspace #1 }
	    % \combine \null \vspace #0.0
	    \huge \larger\larger\larger\larger \bold {
	        \fromproperty #'header:piece
	    }
	    \combine \null \vspace #0.0
	}
    }

}

\layout {
    \context {
        \Staff {
            % Alias for RemoveEmptyStaves
            \override VerticalAxisGroup.remove-empty = ##t
        }
    }
    \context {
        \PianoStaff {
            % Alias for RemoveEmptyStaves
            \override VerticalAxisGroup.remove-empty = ##t
        }
    }
    \context {
        \RhythmicStaff {
            % Alias for RemoveEmptyStaves
            \override VerticalAxisGroup.remove-empty = ##t
        }
    }
}


\layout {
    \context {
	\Score {
	    \override Score.BarNumber.font-size = #3
            \override BarNumber.padding = #3.5
	}
    }
    \context {
        \StaffGroup {
            \override InstrumentName.self-alignment-X = #LEFT
        }
    }
    \context {
        \GrandStaff {
            \override InstrumentName.self-alignment-X = #LEFT
        }
    }
    \context {
        \PianoStaff {
            \override InstrumentName.self-alignment-X = #RIGHT
        }
    }
    \context {
        \Staff {
            \override InstrumentName.self-alignment-X = #RIGHT
        }
    }
    \context {
        \RhythmicStaff {
            \override InstrumentName.self-alignment-X = #RIGHT
        }
    }
}
