\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-7-fruhe-score-common.ily"
\includeOnce "berg-7-fruhe-paged-title.ily"

% override to have the copyright notice on page 2, just for the full score
\paper {
    oddFooterMarkup = \markup {
        \column {
            \mm-feed #4
            \fill-line {
                \on-the-fly #(on-page 2) \fromproperty #'header:copyright
            }
            \mm-feed #2
            \fill-line {
                \abs-fontsize #10 \on-the-fly #(on-page 2) \fromproperty #'header:tagline
            }
        }
    }
}

\header {
    instrument = "Partitur"
}

\markup\null\pageBreak

\paper {
    tocTitleMarkup = \markup \abs-fontsize #20 \column {
        \fill-line {
            \override #'(line-width . 100)
            { \null "Inhalt" \null }
        }
        \hspace #1
    }
    tocItemMarkup = \markup \abs-fontsize #14 \fill-line {
        \override #'(line-width . 100)
        \fill-with-pattern #1 #RIGHT .
            \fromproperty #'toc:text \fromproperty #'toc:page
    }
}


\markuplist \override #'( baseline-skip . 5 ) \table-of-contents
% \tocItem \markup{-1. Dummy}
% \tocItem \markup{0. Dummy}

\markup\null\pageBreak
\markup\null\pageBreak

\markup\vspace #12.0
% Instrumentarium
\markup\abs-fontsize #25 {
    \override #'(line-width . 150)
    \fill-line{"Besetzung des Orchesters"}
}

\markup \abs-fontsize #13 {
\override #'(line-width . 150)
\column {

\vspace #2.0
\fill-line {
    \bold{Bläser}
}
\fill-line {
    \null
    \column {
        "2 Flöten (2. auch kleine Flöte)"
        "2 Oboen (2. auch Englisch Horn)"
        "2 Klarinetten in B"
        "Bassklarinette in A"
    }
    \column {
        "      2 Fagotte"
        "      Kontrafagott"
    }
    \column {
        "4 Hörner in F"
        "Trompete in F"
        "2 Posaunen"
    }
    \null
}

\vspace #1.0
\fill-line {
    "Harfe (evt. auch Celesta)"
}
\fill-line {
    "Pauken"
}

\vspace #1.0
\fill-line {
    \null
    \column {
        \null
        "Becken (freihängend)"
        "1 Paar Becken"
    }
    \column {
        \bold{Schlagwerk}
        "Triangel"
        "große Trommel"
    }
    \column {
        \null
        "kleine Trommel"
        "Tam-Tam"
    }
    \null
}
\vspace #2.0
\fill-line {
\column {
    \null
    \bold{Streicher}
    \null
}
}
}
}

\markup\vspace #12.0

\markup\null\pageBreak

\include "berg-7-fruhe-score-1.ly"
\include "berg-7-fruhe-score-2.ly"
\include "berg-7-fruhe-score-3.ly"
\include "berg-7-fruhe-score-4.ly"
\include "berg-7-fruhe-score-5.ly"
\include "berg-7-fruhe-score-6.ly"
\include "berg-7-fruhe-score-7.ly"
