\version "2.21.0"

\include "berg-7-fruhe-1.ily"
\include "berg-7-fruhe-2.ily"
\include "berg-7-fruhe-3.ily"
\include "berg-7-fruhe-4.ily"
\include "berg-7-fruhe-5.ily"
\include "berg-7-fruhe-6.ily"
\include "berg-7-fruhe-7.ily"

\include "berg-7-fruhe-paged-title.ily"


\header {
    instrument = "1. und 2. Posaune"
}

\paper {
    ragged-right = ##f
    page-count = #7
    % ragged-last-bottom = ##f
}

% \markup\null\pageBreak

breaksI = <<
\mvtItimeline
{
    s1*30 |
    \barNumberCheck # 31
    % \pageTurn
    \break
    s1*8 |
    \barNumberCheck # 39
}
>>

cuesI = <<
\mvtItimeline
{
    \transposition c
    <<
        { \voiceTwo s1 \oneVoice | }
        \new Voice {
            \voiceOne
            \teeny
            <>^\markup\normalsize\halign #-0.3 \line{1.2.Fagott}
            \quoteDuring mvtIfgI { s2 }
            <>^\markup\normalsize\halign #-0.3 \line{1.2.Klarinette}
            \ottava 1
            \quoteDuring mvtIclrI { s2 }
            \ottava 0
            \oneVoice
        }
        \new Voice {
            \teeny
            \voiceTwo \quoteDuring mvtIfgII { s2 }
            \quoteDuring mvtIclrII { s2 }
        }
    >>
    \barNumberCheck # 2
    s1*4 |
    \barNumberCheck # 6
    <>^\markup{Violoncelli}
    \cueDuring mvtIvc #DOWN { s1*2 | }
    s1*3 |
    \barNumberCheck # 11
    \at 4. ^\markup\halign #0.0 {Oboe}
    \cueDuring mvtIobI #UP { s4. \ottava 1 s8 s2 | s1 | \ottava 0 }
    s1*10 |
    \barNumberCheck # 23
    <>^\markup\halign #1.3 {1.Horn}
    \cueDuring mvtIhrnI #UP { \ottava 1 s1 | s2. \ottava 0 } s4 |
    s1*6 |
    \barNumberCheck # 31
    <>^\markup\halign #1.3 {1.Horn}
    \cueDuring mvtIhrnI #UP { \ottava 1 s1*4 | \ottava 0 | }
    s1*4 |
    \barNumberCheck # 39
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtItempi
        >>

        \new StaffGroup <<
            \new Staff \with {
            } \context Bottom <<
                \stretchHorizontalSpacing #0.8
                \mvtIposI
                \cuesI
            >>
            \new Staff \with {
            } \context Bottom <<
                \mvtIposII
            >>
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
    \layout {
    }
}


breaksII = <<
\mvtIItimeline
{
    s2.*29 |
    \barNumberCheck # 30
}
>>

cuesII = <<
\mvtIItimeline
{
    \transposition c
    s2.*29 |
    \barNumberCheck # 30
}
>>

\markup\Tacet{\mvtIIpiece}

%{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIIposI
            \cuesII
        >>
    >>

    \header {
        piece = \mvtIIpiece
    }
    \layout {
    }
}
%}


breaksIII = <<
\mvtIIItimeline
{
    s2.*25 |
    \barNumberCheck # 26
    s1 |
    \barNumberCheck # 27
    s2.*18 |
    \barNumberCheck # 45
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \transposition c
    s2.*25 |
    \barNumberCheck # 26
    s1 |
    \barNumberCheck # 27
    s2.*18 |
    \barNumberCheck # 45
}
>>

% \markup\Tacet{\mvtIIIpiece}
\score {
    \removeWithTag NOPAGEBREAKATEND \mvtIIItacetCues
    \header {
        piece = \markup\TacetPiece{\mvtIIIpiece}
    }
}

%{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIIItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtIIIposI
            \cuesIII
        >>
    >>

    \header {
        piece = \mvtIIIpiece
    }
    \layout {
    }
}
%}


breaksIV = <<
\mvtIVtimeline
{
    s2 |
    s1*3 |
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    \barNumberCheck # 16
    % \time 4/4
    % \pageTurn
    s1*3 |
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    s1*9 |
    \barNumberCheck # 32
}
>>

cuesIV = <<
\mvtIVtimeline
{
    \transposition c
    \at 8 -\tweak outside-staff-priority #425 ^\markup\halign #0.8 {II.Geigen}
    \cueDuring mvtIVvlnII #UP { s8 \ottava 1 s4. | s1*3 | \ottava 0 }
    \barNumberCheck # 5
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 9
    % \time 4/4
    s1*6 |
    \barNumberCheck # 15
    % \time 2/4
    s2 |
    s2 <>^"II.Geigen"
    \cueDuring mvtIVvlnII #UP { \ottava 1 s2 | s1*2 | \ottava 0 }
    \barNumberCheck # 19
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 23
    % \time 4/4
    s1*9 |
    \barNumberCheck # 32
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksIV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtIVtempi
        >>

        \new StaffGroup <<
            \new Staff \with {
            } \context Bottom <<
                \mvtIVposI
                \cuesIV
            >>
            \new Staff \with {
            } \context Bottom <<
                \mvtIVposII
            >>
        >>
    >>

    \header {
        piece = \mvtIVpiece
        breakbefore = ##t
    }
    \layout {
    }
}


breaksV = <<
\mvtVtimeline
{
    s4. |
    \barNumberCheck # 2
    s2.*4 |
    \barNumberCheck # 6
    % \time 2/4
    s2*5 |
    \barNumberCheck # 11
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 23
}
>>

cuesV = <<
\mvtVtimeline
{
    \transposition c
    <>^\markup\halign #1.2 {1.Klarinette}
    \cueDuring mvtVclrI #UP { \ottava 2 s4. | s2.*3 | s2 s8 \ottava 0 s8 | }
    \barNumberCheck # 6
    % \time 2/4
    <>^\markup\halign #1.3 {Oboe}
    \cueDuring mvtVobI #UP { \ottava 1 s2*5 | \ottava 0 }
    \barNumberCheck # 11
    s2.*4 |
    \barNumberCheck # 15
    \at 8 _\markup\halign #1.3 {Oboe}
        \cueDuring mvtVobI #DOWN { \ottava 2 s2. | }
    \cueDuring mvtVobI #UP { s2.*4 | s4 \ottava 0 } s2 |
    s2.*2 |
    \barNumberCheck # 23
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksV

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVtempi
        >>

        \new Staff \with {
            instrumentName = "1.Posaune"
        } \context Bottom <<
            \mvtVposI
            \cuesV
        >>
    >>

    \header {
        piece = \mvtVpiece
        % breakbefore = ##t
    }
    \layout {
        indent = #20
    }
}


breaksVI = <<
\mvtVItimeline
{
    s2.*24 |
    \barNumberCheck # 25
}
>>

cuesVI = <<
\mvtVItimeline
{
    \transposition c
    s2.*24 |
    \barNumberCheck # 25
}
>>

% \markup\Tacet{\mvtVIpiece}
\score {
    \removeWithTag NOPAGEBREAKATEND \mvtVItacetCues
    \header {
        piece = \markup\TacetPiece{\mvtVIpiece}
        % % breakbefore = ##t
    }
}

%{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVI

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVItempi
        >>

        \new Staff \with {
        } \context Bottom <<
            \mvtVIposI
            \cuesVI
        >>
    >>

    \header {
        piece = \mvtVIpiece
    }
    \layout {
    }
}
%}


breaksVII = <<
\mvtVIItimeline
{
    \barNumberCheck # 2
    s2. |
    s1*5 |
    \barNumberCheck # 7
    % \pageTurn
    s1*8 |
    \barNumberCheck # 15
    \break
    s1*25 |
    \barNumberCheck # 40
}
>>

cuesVII = <<
\mvtVIItimeline
{
    \transposition c
    \barNumberCheck # 2
    #(ly:expect-warning-times 2 "unterminated crescendo")
    % <>-\tweak outside-staff-priority #425 ^\markup\halign #0.5 \line{Violoncelli (get.)}
    <>-\tweak outside-staff-priority #425 _\markup\halign #1.4 \column{"Violon-" "celli (get.)"}
    <<
        \relative c {
            \voiceThree s2. |
            \once \override MultiMeasureRest.staff-position = #10
            s1 |
            \oneVoice s1 |
        }
        \new Voice { \teeny \voiceOne \dynamicUp \quoteDuring mvtVIIvc { s2. | s1*2 | } }
        \new Voice { \teeny \voiceTwo \quoteDuring mvtVIIvchII { s2. | s1*2 | } }
    >>
    \barNumberCheck # 4
    s1*3 |
    #(ly:expect-warning "unterminated tie")
    #(ly:expect-warning-times 3 "unterminated slur")
    \at 4 ^\markup\halign #1.3 \line{2 Sologeigen}
    <<
        \cueDuring mvtVIIvlnIsoloI #UP { s4 \ottava 2 s2. | s1*2 | \ottava 0 }
        \cueDuring mvtVIIvlnIsoloII #UP { s4 \ottava 2 s2. | s1*2 | \ottava 0 }
    >>
    \barNumberCheck # 10
    s1*12 |
    \barNumberCheck # 22
    s2 <>^"1.Sologeige"
    \cueDuring mvtVIIvlnIsoloI #UP { \ottava 2 s2 | s1*3 | \ottava 0 }
    s1*5 |
    \barNumberCheck # 31
    <>^\markup\halign #0.3 {I.Geigen}
    \cueDuring mvtVIIvlnI #UP { \ottava 1 s1*4 | \ottava 0 }
    \barNumberCheck # 35
    s1*5 |
    \barNumberCheck # 40
}
>>

\score {
    \keepWithTag #'( PARTS KEEPQUOTED KEEPKEYS ) <<
        \new Dynamics \breaksVII

        \new MarkLine \with {
            \accepts TimedSpanner
        } <<
            \mvtVIItempi
        >>

        \new StaffGroup <<
            \new Staff \with {
            } \context Bottom <<
                \stretchHorizontalSpacing #1.3
                \mvtVIIposI
                \cuesVII
            >>
            \new Staff \with {
            } <<
                \mvtVIIposII
            >>
        >>
    >>

    \header {
        piece = \mvtVIIpiece
        breakbefore = ##t
    }
    \layout {
    }
}
