\version "2.21.0"

\include "include-once.ily"
\includeOnce "common-defs.ily"

% #(define markSize  (if (defined? 'markSize) markSize #{ #1.5 #}))
#(define markSize  (if (defined? 'markSize) markSize #{ #2.5 #}))
#(define tempoSize (if (defined? 'tempoSize) tempoSize #{ #1.5 #}))
% #(define clefG     (if (defined? 'clefG) clefG #{ #}))
% #(define clefF     (if (defined? 'clefF) clefF #{ #}))
% #(define clefOldHornF (if (defined? 'clefOldHornF) clefOldHornF #{ #}))
% #(define clefBclrBass (if (defined? 'clefBclrBass) clefBclrBass #{ \clef "treble_8" #}))

Get = \markup\upright\halign #0.5 {get.}
GetaII = \markup\upright\halign #1.5 \line{zu 2 get.}
GetaIII = \markup\upright\halign #1.5 \line{zu 3 get.}
GetaIV = \markup\upright\halign #1.5 \line{zu 4 get.}
GetaIIc = \markup\upright\halign #1.5 \column{"zu 2" "get."}
GetaIIIc = \markup\upright\halign #1.5 \column{"zu 3" "get."}
GetaIVc = \markup\upright\halign #1.5 \column{"zu 4" "get."}
Zus = \markup\upright\halign #0.5 {zus.}
Alle = \markup\upright\halign #0.5 {Alle}
PGet = \markup\upright\halign #0.5 {(get.)}
PZus = \markup\upright\halign #0.5 {(zus.)}
PAlle = \markup\upright\halign #0.5 {(Alle)}

Gest = \markup\upright\halign #0.5 {gestopft}
Offen = \markup\upright\right-align{offen}
PGest = \markup\upright\right-align{(gestopft)}
POffen = \markup\upright\right-align{(offen)}

Flatt = \markup\upright\halign #0.2 \line{Flzg.}
Nat = \markup\upright{natürlich}
Gew = \markup\upright{gewöhnlich}
PGew = \markup\upright\halign #0.0 {(gew.)}
BGew = \markup\upright\halign #0.0 {[gew.]}

PmD  = \markup\right-align\line{(m.Dpf.) \hspace #0.5 }
PoD  = \markup\right-align\line{(o.Dpf.) \hspace #0.5 }
Dab  = \markup\rounded-box\italic\line{Dpf. ab}
Dauf = \markup\rounded-box\italic\line{nimmt Dpf.}
Dsauf = \markup\rounded-box\italic\line{nehmen Dpf.}
Dmit  = \markup\rounded-box\italic\line{mit Dpf.}
Dohne = \markup\rounded-box\italic\line{ohne Dpf.}

MPicc = \markup\rounded-box\italic\line{nimmt Picc.}
MFl = \markup\rounded-box\italic\line{nimmt Gr.Fl.}
MObII = \markup\rounded-box\italic\line{nimmt 2.Ob.}
MEh = \markup\rounded-box\italic\line{nimmt E.H.}


\layout {
    \context {
        \Score {
            \override TextSpanner.font-shape = #'italic

            % print the number at the first bar of the score. Need to set
            % \bar "" there too.
            \set barNumberVisibility = #all-bar-numbers-visible

            \numericTimeSignature
            \override FootnoteItem.annotation-line = ##f

            \override TimeSignature.minimum-X-extent = #'( 0 . 3.5 )

            \override RehearsalMark.font-shape = #'italic
            \override RehearsalMark.font-series = #'bold
            \override RehearsalMark.font-size = \markSize
            \override RehearsalMark.self-alignment-X = #LEFT

            \override MetronomeMark.font-shape = #'italic
            \override MetronomeMark.font-series = #'bold
            \override MetronomeMark.font-size = \tempoSize

            \override Hairpin.minimum-length = #3.5
        }
    }

    \context {
        \MarkLine {
            \override TextScript.baseline-skip = #0.5

            \override TextScript.font-shape = #'italic
            \override TextScript.font-series = #'bold
            \override TextScript.font-size = \tempoSize

            \override TextSpanner.font-shape = #'italic
            \override TextSpanner.font-series = #'bold
            \override TextSpanner.font-size = \tempoSize
        }
    }

    \context {
        \TimedSpanner {
            \override LyricText.font-shape = #'italic
            \override LyricText.font-series = #'bold
            \override LyricText.font-size = \tempoSize
            \override LyricText.word-space = #1.2
        }
    }
}
